##### basic_socket_acceptor::basic_socket_acceptor (1 of 10 overloads)

Construct an acceptor without opening it.

    basic_socket_acceptor(
        const executor_type & ex);

This constructor creates an acceptor without opening it to listen for new connections. The `open()` function must be called before the acceptor can accept new socket connections.

###### Parameters

ex

  The I/O executor that the acceptor will use, by default, to dispatch handlers for any asynchronous operations performed on the acceptor.